[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [Pkg-grass-general] libgdal-grass for gdal 1.2.6



Hello Frank, 

On Fri, 22 Apr 2005 09:37:42 -0400 Frank Warmerdam
<fwarmerdam@gmail.com> wrote:

[...]


> Folks,
> 
> First I should say that "plugin" drivers are quite sensitive to any
> changes in the internal layout of C++ objects and C++ signatures.  So
> they often are not "binary" compatible between versions.  However,
> they are almost always source compatible between versions.  That is,
> you should be able to recompile from the 1.2.5 plugin version against
> the 1.2.6 installed library and things will be fine.
>  
> 
> > I recompiled locally and installed from my newly built package with
> > my non-default grass-installation.
> > gdalinfo --formats does not show up grass as supported format.
> > 
> > Perhaps somebody else can check?
> 
> The other thing that changed with 1.2.6 is that GDAL now looks for
> the plugins in /usr/local/lib/gdalplugins instead of /usr/local/lib.
> The existing install for the plugin does not account for this so you
> end up having to correct for it. 

Ahh, that`s it...
I will recompile localy and recheck.

Thank you

	Stephan

-- 
Stephan Holl

Check headers for GnuPG Key!
http://www.gdf-hannover.de

Attachment: pgpLLRrfMC5Jw.pgp
Description: PGP signature


Reply to: